Bug 23057 - PurgeableBuffer #defines leave out functions on gtk MacOSX 10.4 build
Summary: PurgeableBuffer #defines leave out functions on gtk MacOSX 10.4 build
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-31 07:00 PST by Luke Kenneth Casson Leighton
Modified: 2009-06-28 04:15 PDT (History)
2 users (show)

See Also:


Attachments
add PLATFORM(GTK) to use inline versions of PurgeableBuffer functions (639 bytes, patch)
2009-01-02 03:50 PST, Luke Kenneth Casson Leighton
no flags Details | Formatted Diff | Diff
patch with changelog (1.18 KB, patch)
2009-06-28 00:10 PDT, Jan Alonzo
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Kenneth Casson Leighton 2008-12-31 07:00:12 PST
diff --git a/WebCore/platform/PurgeableBuffer.h b/WebCore/platform/PurgeableBuff
index b8b5c73..20f0ed8 100644
--- a/WebCore/platform/PurgeableBuffer.h
+++ b/WebCore/platform/PurgeableBuffer.h
@@ -62,14 +62,14 @@ namespace WebCore {
         mutable State m_state;
     };
 
-#if !PLATFORM(DARWIN) || defined(BUILDING_ON_TIGER) || PLATFORM(QT)
+/*#if !PLATFORM(DARWIN) || defined(BUILDING_ON_TIGER) || PLATFORM(QT)*/
     inline PurgeableBuffer* PurgeableBuffer::create(const char*, size_t) { retu
     inline PurgeableBuffer::~PurgeableBuffer() { }
     inline const char* PurgeableBuffer::data() const { return 0; }
     inline void PurgeableBuffer::setPurgePriority(PurgePriority) { }
     inline bool PurgeableBuffer::wasPurged() const { return false; }
     inline bool PurgeableBuffer::makePurgeable(bool) { return false; }
-#endif
+/*#endif*/
     
 }
Comment 1 Luke Kenneth Casson Leighton 2008-12-31 07:05:20 PST
removing these #defines on macosx 10.4 result in a successful build.
adding in PurgeableBuffermac.cpp (from WebCore/platform/mac) into
WebCore/GNUMakefile.am results in a compile error about VM_VOLATILE missing etc.

Comment 2 Mark Rowe (bdash) 2009-01-01 15:50:26 PST
Either things need to be changed such that BUILDING_ON_TIGER will be defined when building the GTK port on Tiger, or the #if needs to be changed to always disable things for GTK, similar to how it is for Qt.
Comment 3 Luke Kenneth Casson Leighton 2009-01-02 03:43:11 PST
oh - yes: i get it - "leave out" as in there's a #if defined(QT) which "brings in" the inline versions of the functions (in the header file) and adding || defined(GTK) ... i get it.
Comment 4 Luke Kenneth Casson Leighton 2009-01-02 03:50:46 PST
Created attachment 26365 [details]
add PLATFORM(GTK) to use inline versions of PurgeableBuffer functions

yep - that did it.
Comment 5 Darin Adler 2009-01-02 09:29:49 PST
Comment on attachment 26365 [details]
add PLATFORM(GTK) to use inline versions of PurgeableBuffer functions

The change looks fine, but this needs a ChangeLog, so setting review-. Please put up the same patch with a ChangeLog entry.
Comment 6 Jan Alonzo 2009-06-28 00:10:15 PDT
Created attachment 31990 [details]
patch with changelog
Comment 7 Eric Seidel (no email) 2009-06-28 02:52:13 PDT
Comment on attachment 31990 [details]
patch with changelog

Ok.
Comment 8 Eric Seidel (no email) 2009-06-28 04:15:05 PDT
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/platform/PurgeableBuffer.h
Committed r45327
http://trac.webkit.org/changeset/45327